package com.bonus.sgzb.base.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 维修班机具配置ma_type_repair对象 ma_type_repair
 * 
 * @author bonus
 * @date 2023-12-11
 */
public class MaTypeRepair extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类型ID */
    private Long typeId;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String time;

    /** 数据所属组织 */
    @Excel(name = "数据所属组织")
    private String companyId;

    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setTime(String time) 
    {
        this.time = time;
    }

    public String getTime() 
    {
        return time;
    }
    public void setCompanyId(String companyId) 
    {
        this.companyId = companyId;
    }

    public String getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("userId", getUserId())
            .append("time", getTime())
            .append("companyId", getCompanyId())
            .toString();
    }
}
